apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: plr-tt-zansible
spec:
  serviceAccountName: ace-tekton-service-account
  pipelineRef:
    name: pl-tt-zansible 
  podTemplate:
    securityContext:
      fsGroup: 65532
    nodeSelector:
      kubernetes.io/hostname: ocpewrk2.plex75ocpe.pbm.ihost.com      
  taskRunSpecs:
  - pipelineTaskName: fetch-repository-zosdemo
    taskServiceAccountName: ace-tekton-service-account
    taskPodTemplate:
      securityContext:
        runAsNonRoot: true
        runAsUser: 65532
  - pipelineTaskName: demozansible
    taskServiceAccountName: ace-tekton-service-account
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  - pipelineTaskName: demozansible-dbb
    taskServiceAccountName: ace-tekton-service-account
    taskPodTemplate:
      securityContext:
        runAsNonRoot: false
        runAsUser: 0
  workspaces:
  - name: myworkspace
    persistentVolumeClaim:
      claimName: tt-plr-pvc-1

